<div class="resizable2" id="NpMainContent">
    <div id="Search_DecisionMakingRO" style="display:none" class="well NrlForm SearchPage" data-ng-controller="ControllerDecisionMakingROSearch"  data-on-key-down="navigateBackward()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div class="TopFormArea">
            <h2>{{getALString(pageModel.pageTitle)}}</h2>
        </div>
        <div class="alert" data-ng-class="alert-pageModel.message.severity" data-ng-show="alert-pageModel.message.visible">
        <b>{{pageModel.message.header}}</b>
        {{pageModel.message.body}}
        </div>
        <div class="FormArea"  >
            <table>
                <tr>
                    <td colspan="2" style="width:16%" >
                        <label class="pull-left" for="d__demaId"  data-ng-bind="getALString('Decision Making')"   />
                    </td>
                    <td colspan="2" style="width:16%" >
                        <label class="pull-left" for="d__clasId"  data-ng-bind="getALString('Classification')"   />
                    </td>
                    <td colspan="2" style="width:16%" >
                        <label class="pull-left" for="d__ecgrId"  data-ng-bind="getALString('BRE Rules Name')"   />
                    </td>
                    <td colspan="2" style="width:16%" >
                        <label class="pull-left" for="d__dateTime"  data-ng-bind="getALString('Date of Decision Making')"   />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="width:16%" >
                        <div data-on-key-down='!d__demaId_disabled() && showLov_d__demaId()' data-keys='[123]' >
                        <input data-np-source='pageModel.demaId.description' data-np-ui-model='pageModel._demaId'  data-np-context=''  data-np-lookup="" class='npLovInput' name='d__demaId' readonly='true'  > 
                        <button class='npLovButton' type='button' data-np-click='showLov_d__demaId()'   data-ng-disabled="d__demaId_disabled()"   /> 
                        </div>
                    </td>
                    <td colspan="2" style="width:16%" >
                        <div data-on-key-down='!d__clasId_disabled() && showLov_d__clasId()' data-keys='[123]' >
                        <input data-np-source='pageModel.clasId.name' data-np-ui-model='pageModel._clasId'  data-np-context=''  data-np-lookup="" class='npLovInput' name='d__clasId' readonly='true'  > 
                        <button class='npLovButton' type='button' data-np-click='showLov_d__clasId()'   data-ng-disabled="d__clasId_disabled()"   /> 
                        </div>
                    </td>
                    <td colspan="2" style="width:16%" >
                        <div data-on-key-down='!d__ecgrId_disabled() && showLov_d__ecgrId()' data-keys='[123]' >
                        <input data-np-source='pageModel.ecgrId.name' data-np-ui-model='pageModel._ecgrId'  data-np-context=''  data-np-lookup="" class='npLovInput' name='d__ecgrId' readonly='true'  > 
                        <button class='npLovButton' type='button' data-np-click='showLov_d__ecgrId()'   data-ng-disabled="d__ecgrId_disabled()"   /> 
                        </div>
                    </td>
                    <td colspan="2" style="width:16%" >
                        <input name='d__dateTime' data-ng-model='pageModel.dateTime' data-np-ui-model='pageModel._dateTime' data-ng-readonly='d__dateTime_disabled()' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
            </table>
        </div>
        <div class="searchPageButtons">
            <button  id="searchBtn_id"   data-np-click  ="searchBtnAction()" data-ng-class="" 
            data-ng-disabled="searchIsDisabled()"  >
                <i class="icon search"/>
                {{getALString(getLabelById('searchBtn_id'))}}
            </button>

            <button  id="clearBtn_id"   data-np-click  ="clearBtnAction()" data-ng-class="" 
              >
                <i class="icon clear"/>
                {{getALString(getLabelById('clearBtn_id'))}}
            </button>

            <button  id="newBtn_id"   data-np-click  ="newBtnAction()" data-ng-class="" 
            data-ng-disabled="newIsDisabled()"  >
                <i class="icon new"/>
                {{getALString(getLabelById('newBtn_id'))}}
            </button>

            <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
            data-ng-disabled="cancelIsDisabled()"  >
                <i class="icon back"/>
                {{getALString(getLabelById('cancelBtn_id'))}}
            </button>

        </div>
        <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
            <div data-on-key-down="gridPageDown()" data-keys="[34]">
                <div id="search_page_results_id" data-ng-grid="pageModel.grid" class="gridStyle">
                </div>
            </div>
        </div>
    </div>
</div>
